Subject: Re: [PATCH/RFC] "init-db" can really be just "init"

From: Han-Wen Nienhuys <[email-masked]>
Date: Tue, 28 Nov 2006 11:45:12 +0100

Junio C Hamano escreveu:
> I was not sure about this for quite some time, thinking that it
> might make sense to default the behaviour of init-db for bare
> repositories and give init as a user-level wrapper to drive
> init-db to add customization suitable for repositories with
> working trees.  List?

wouldn't using --bare be more consistent for bare repos?

>> Maybe that could be a good rule of thumb to have all porcelainish 
>> commands not have any hyphen in their name, like "diff", "commit", 
>> "add", etc. ?
> 
> I was also hoping that would become the case except verify-tag,
> cherry-pick, and format-patch.  

why not shorten them to "pick" and "verify"?

--